import request from '@/utils/request'

//获取ap管理列表
export function getActionPriorityList(data) {
  return request({
    url: request.apiModule.rdfm + '/actionPriority',
    method: 'get',
    params: data
  })
}
//新建ap管理
export function postActionPriority(data) {
  return request({
    url: request.apiModule.rdfm + '/actionPriority/manager',
    method: 'post',
    data
  })
}
//查看行动优先级属性详细信息
export function getActionPriorityInfo(actionPriorityId) {
  return request({
    url: request.apiModule.rdfm + '/actionPriority/' + actionPriorityId,
    method: 'get'
  })
}
//新增或更新行动优先级管理信息
export function updateActionPriorityInfo(data) {
  return request({
    url: request.apiModule.rdfm + '/actionPriority/detail',
    method: 'get',
    data
  })
}
//删除行动优先级详细信息
export function delActionPriorityInfo(id) {
  return request({
    url: request.apiModule.rdfm + '/actionPriority/detail',
    method: 'delete',
    data: { id: id }
  })
}

//新增或更新功能类别详细信息（若是新增detailId填空）
export function putApDetail(data) {
  return request({
    url: request.apiModule.rdfm + '/actionPriority/detail',
    method: 'put',
    data
  })
}

//新增或更新行动优先级管理信息
export function postApDetail(data) {
  return request({
    url: request.apiModule.rdfm + '/actionPriority/detail',
    method: 'post',
    data: data
  })
}

//更新行动优先级管理信息
export function putActionPriority(data) {
  return request({
    url: request.apiModule.rdfm + '/actionPriority',
    method: 'put',
    data: data
  })
}
